# The contents of this file are subject to the Mozilla Public
# License Version 1.1 (the "License"); you may not use this file
# except in compliance with the License. You may obtain a copy of
# the License at http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS
# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
# implied. See the License for the specific language governing
# rights and limitations under the License.
#
# The Original Code is ManagedMeetings version 1.0.
#
# The Initial Owner of the Original Code is European Environment
# Agency (EEA).  Portions created by CMG for EEA are
# Copyright (C) European Environment Agency.  All
# Rights Reserved.
#
# Contributor(s):
# Tomas Hjelmberg, CMG
#

__doc__="""Meeting initialization module"""
__version__= '0.2'

import ManagedMeetings
import Attendee
import Meeting
import Location
import AgendaItem
import BreakItem
import Session
import Track

def initialize(context):
    """ManagedMeetings"""
    
    context.registerClass(
        ManagedMeetings.ManagedMeetings,
	permission='Add Meetings Folder',
        constructors = (ManagedMeetings.manage_addManagedMeetingsForm,
                        ManagedMeetings.manage_addManagedMeetings
                        ),
        icon='icons/ManagedMeetings.gif',        
        )
    context.registerClass(
        Attendee.Attendee,
	permission='Add Meeting',
        constructors = (Attendee.manage_addattendeeForm,
                        Attendee.manage_addAttendee
                        ),
        icon='icons/Attendee.gif',        
        )
    context.registerClass(
        AgendaItem.AgendaItem,
	permission='Add Meeting',
        constructors = (AgendaItem.manage_addagendaItemForm,
                        AgendaItem.manage_addAgendaItem
                        ),
        icon='icons/agenda.gif',
        )
    context.registerClass(
        BreakItem.BreakItem,
	permission='Add Meeting',
        constructors = (BreakItem.manage_addbreakItemForm,
                        BreakItem.manage_addBreakItem
                        ),
        icon='icons/break.gif',
        )
    context.registerClass(
        Session.Session,
	permission='Add Meeting',
        constructors = (Session.manage_addSessionForm,
                        Session.manage_addSession
                        ),
        icon='icons/session.gif',
        )
    context.registerClass(
        Meeting.Meeting,
	permission='Add Meeting',
        constructors = (Meeting.manage_addMeetingForm,
                        Meeting.manage_addMeeting
                        ),
        icon='icons/Meeting.gif',
        )   
    context.registerClass(
        Location.Location,
	permission='Add Meeting Location',
        constructors = (Location.manage_addLocationForm,
                        Location.manage_addLocation
                        ),
        icon='icons/Location.gif',
        )
    context.registerClass(
        Track.Track,
	permission='Add Meeting',
        constructors = (Track.manage_addTrackForm,
                        Track.manage_addTrack
                        ),
        icon='icons/track.gif',
        )
    context.registerHelp()
    context.registerHelpTitle('Zope Help')    
